<?xml version="1.0" encoding="UTF-8"?>
<launch>
  <arg name="run_speech_recognition" default="true"/>
  <arg name="animate_leds" default="false"/>
  <arg name="device_info_only"  value="$(eval false if arg('run_speech_recognition') else true)"/>
  <arg name="sensor_frame_id" default="respeaker_base"/>

  <node name="respeaker_multichan_node" pkg="respeaker_ros" type="respeaker_multichan_node.py" output="screen">
    <param name="device_info_only" type="bool" value="$(arg device_info_only)" />
    <param name="animate_leds" type="bool" value="$(arg animate_leds)" />
    <param name="sensor_frame_id" type="string" value="$(arg sensor_frame_id)" />
  </node>

  <group if="$(arg run_speech_recognition)">
    <node name="speech_to_text" pkg="respeaker_ros" type="speech_to_text.py">
      <remap from="audio" to="speech_audio"/>
      <rosparam>
        language: en-GB
        self_cancellation: true
        tts_tolerance: 0.2
      </rosparam>
    </node>
  </group>
</launch>
